uuid: 2d46ef93-45e9-43ac-b72c-7673e5b6501a
langcode: en
status: true
dependencies:
  module:
    - block_content
id: config_sync.module.block_content
snapshotSet: config_sync
extensionType: module
extensionName: block_content
items:
  -
    collection: ''
    name: core.entity_view_mode.block_content.full
    data:
      langcode: en
      status: false
      dependencies:
        module:
          - block_content
      id: block_content.full
      label: Full
      targetEntityType: block_content
      cache: true
      _core:
        default_config_hash: 4tedlMuvQjDOdvHdw86_e-2Rt78aR7TGFMfOK8Ejppg
  -
    collection: ''
    name: field.storage.block_content.body
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - block_content
          - text
      id: block_content.body
      field_name: body
      entity_type: block_content
      type: text_with_summary
      settings: {  }
      module: text
      locked: false
      cardinality: 1
      translatable: true
      indexes: {  }
      persist_with_no_fields: true
      custom_storage: false
      _core:
        default_config_hash: eS0snV_L3dx9shtWRTzm5eblwOJ7qKWC9IE-4GMTDFc
  -
    collection: ''
    name: views.view.block_content
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - block_content
          - user
      id: block_content
      label: 'Content blocks'
      module: views
      description: 'Find and manage content blocks.'
      tag: default
      base_table: block_content_field_data
      base_field: id
      display:
        default:
          id: default
          display_title: Default
          display_plugin: default
          position: 0
          display_options:
            title: 'Content blocks'
            fields:
              info:
                id: info
                table: block_content_field_data
                field: info
                relationship: none
                group_type: group
                admin_label: ''
                entity_type: null
                entity_field: info
                plugin_id: field
                label: 'Block description'
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                click_sort_column: value
                type: string
                settings:
                  link_to_entity: true
                group_column: value
                group_columns: {  }
                group_rows: true
                delta_limit: 0
                delta_offset: 0
                delta_reversed: false
                delta_first_last: false
                multi_type: separator
                separator: ', '
                field_api_classes: false
              type:
                id: type
                table: block_content_field_data
                field: type
                relationship: none
                group_type: group
                admin_label: ''
                entity_type: block_content
                entity_field: type
                plugin_id: field
                label: 'Block type'
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                click_sort_column: target_id
                type: entity_reference_label
                settings:
                  link: false
                group_column: target_id
                group_columns: {  }
                group_rows: true
                delta_limit: 0
                delta_offset: 0
                delta_reversed: false
                delta_first_last: false
                multi_type: separator
                separator: ', '
                field_api_classes: false
              changed:
                id: changed
                table: block_content_field_data
                field: changed
                relationship: none
                group_type: group
                admin_label: ''
                entity_type: block_content
                entity_field: changed
                plugin_id: field
                label: Updated
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                type: timestamp
                settings:
                  date_format: short
                  custom_date_format: ''
                  timezone: ''
                  tooltip:
                    date_format: long
                    custom_date_format: ''
                  time_diff:
                    enabled: false
                    future_format: '@interval hence'
                    past_format: '@interval ago'
                    granularity: 2
                    refresh: 60
              operations:
                id: operations
                table: block_content
                field: operations
                relationship: none
                group_type: group
                admin_label: ''
                entity_type: block_content
                plugin_id: entity_operations
                label: Operations
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                destination: true
            pager:
              type: mini
              options:
                offset: 0
                items_per_page: 50
                total_pages: null
                id: 0
                tags:
                  next: 'Next ›'
                  previous: '‹ Previous'
                expose:
                  items_per_page: false
                  items_per_page_label: 'Items per page'
                  items_per_page_options: '5, 10, 25, 50'
                  items_per_page_options_all: false
                  items_per_page_options_all_label: '- All -'
                  offset: false
                  offset_label: Offset
            exposed_form:
              type: basic
              options:
                submit_button: Apply
                reset_button: true
                reset_button_label: Reset
                exposed_sorts_label: 'Sort by'
                expose_sort_order: true
                sort_asc_label: Asc
                sort_desc_label: Desc
            access:
              type: perm
              options:
                perm: 'access block library'
            cache:
              type: tag
              options: {  }
            empty:
              area_text_custom:
                id: area_text_custom
                table: views
                field: area_text_custom
                relationship: none
                group_type: group
                admin_label: ''
                plugin_id: text_custom
                empty: true
                content: 'There are no content blocks available.'
                tokenize: false
              block_content_listing_empty:
                id: block_content_listing_empty
                table: block_content
                field: block_content_listing_empty
                relationship: none
                group_type: group
                admin_label: ''
                entity_type: block_content
                plugin_id: block_content_listing_empty
                label: ''
                empty: true
            sorts: {  }
            arguments: {  }
            filters:
              info:
                id: info
                table: block_content_field_data
                field: info
                relationship: none
                group_type: group
                admin_label: ''
                entity_type: block_content
                entity_field: info
                plugin_id: string
                operator: contains
                value: ''
                group: 1
                exposed: true
                expose:
                  operator_id: info_op
                  label: 'Block description'
                  description: ''
                  use_operator: false
                  operator: info_op
                  operator_limit_selection: false
                  operator_list: {  }
                  identifier: info
                  required: false
                  remember: false
                  multiple: false
                  remember_roles:
                    authenticated: authenticated
                    anonymous: '0'
                    administrator: '0'
                is_grouped: false
                group_info:
                  label: ''
                  description: ''
                  identifier: ''
                  optional: true
                  widget: select
                  multiple: false
                  remember: false
                  default_group: All
                  default_group_multiple: {  }
                  group_items: {  }
              type:
                id: type
                table: block_content_field_data
                field: type
                relationship: none
                group_type: group
                admin_label: ''
                entity_type: block_content
                entity_field: type
                plugin_id: bundle
                operator: in
                value: {  }
                group: 1
                exposed: true
                expose:
                  operator_id: type_op
                  label: 'Block type'
                  description: ''
                  use_operator: false
                  operator: type_op
                  operator_limit_selection: false
                  operator_list: {  }
                  identifier: type
                  required: false
                  remember: false
                  multiple: false
                  remember_roles:
                    authenticated: authenticated
                    anonymous: '0'
                    administrator: '0'
                  reduce: false
                is_grouped: false
                group_info:
                  label: ''
                  description: ''
                  identifier: ''
                  optional: true
                  widget: select
                  multiple: false
                  remember: false
                  default_group: All
                  default_group_multiple: {  }
                  group_items: {  }
              reusable:
                id: reusable
                table: block_content_field_data
                field: reusable
                relationship: none
                group_type: group
                admin_label: ''
                entity_type: block_content
                entity_field: reusable
                plugin_id: boolean
                operator: '='
                value: '1'
                group: 1
                exposed: false
                expose:
                  operator_id: ''
                  label: ''
                  description: ''
                  use_operator: false
                  operator: ''
                  operator_limit_selection: false
                  operator_list: {  }
                  identifier: ''
                  required: false
                  remember: false
                  multiple: false
                  remember_roles:
                    authenticated: authenticated
                is_grouped: false
                group_info:
                  label: ''
                  description: ''
                  identifier: ''
                  optional: true
                  widget: select
                  multiple: false
                  remember: false
                  default_group: All
                  default_group_multiple: {  }
                  group_items: {  }
            style:
              type: table
              options:
                grouping: {  }
                row_class: ''
                default_row_class: true
                columns:
                  info: info
                  type: type
                  changed: changed
                  operations: operations
                default: changed
                info:
                  info:
                    sortable: true
                    default_sort_order: asc
                    align: ''
                    separator: ''
                    empty_column: false
                    responsive: ''
                  type:
                    sortable: true
                    default_sort_order: asc
                    align: ''
                    separator: ''
                    empty_column: false
                    responsive: ''
                  changed:
                    sortable: true
                    default_sort_order: desc
                    align: ''
                    separator: ''
                    empty_column: false
                    responsive: ''
                  operations:
                    sortable: false
                    default_sort_order: asc
                    align: ''
                    separator: ''
                    empty_column: false
                    responsive: ''
                override: true
                sticky: false
                summary: ''
                empty_table: true
                caption: ''
                description: ''
            row:
              type: fields
            query:
              type: views_query
              options:
                query_comment: ''
                disable_sql_rewrite: false
                distinct: false
                replica: false
                query_tags: {  }
            relationships: {  }
            header: {  }
            footer: {  }
            display_extenders: {  }
          cache_metadata:
            max-age: -1
            contexts:
              - 'languages:language_content'
              - 'languages:language_interface'
              - url
              - url.query_args
              - user.permissions
            tags: {  }
        page_1:
          id: page_1
          display_title: Page
          display_plugin: page
          position: 1
          display_options:
            display_extenders: {  }
            path: admin/content/block
            menu:
              type: tab
              title: Blocks
              description: 'Create and edit content blocks.'
              weight: 0
              menu_name: admin
              parent: system.admin_content
              context: '0'
          cache_metadata:
            max-age: -1
            contexts:
              - 'languages:language_content'
              - 'languages:language_interface'
              - url
              - url.query_args
              - user.permissions
            tags: {  }
      _core:
        default_config_hash: AcOE_1RLjX4okjWSOk7Pen1IdtPsY0Nbn0HXWG3zMqc
